Bug 1576280 (CVE-2018-5181) - CVE-2018-5181 Mozilla: Local file can be displayed in noopener tab through drag and drop of hyperlink
Summary: CVE-2018-5181 Mozilla: Local file can be displayed in noopener tab through dr...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5181
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:16 UTC by Doran Moppert
Modified: 2021-02-26 02:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:24 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:16:40 UTC
If a URL using the `file:` protocol is dragged and dropped onto an open tab that is running in a different child process the tab will open a local file corresponding to the dropped URL, contrary to policy. One way to make the target tab open more reliably in a separate process is to open it with the `noopener` keyword. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5181

Comment 1 Doran Moppert 2018-05-09 07:16:45 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Abdulrahman Alqabandi


Note You need to log in before you can comment on or make changes to this bug.